JBoss API: Class Shutdown

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.util
Class Shutdown

    java.lang.Object
      |
      +--org.jboss.util.Shutdown

All Implemented Interfaces:
  javax.management.MBeanRegistration, ShutdownMBean

public class Shutdown
extends java.lang.Object
implements javax.management.MBeanRegistration, ShutdownMBean

Version:
  $Revision: 1.2.6.2 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:

Field Summary
`static java.lang.String` | `OBJECT_NAME`

Constructor Summary
`Shutdown()`

Method Summary
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `shutdown()`
`protected void` | `shutdownServices()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_NAME

    public static final java.lang.String OBJECT_NAME

Constructor Detail

### Shutdown

    public Shutdown()

Method Detail

### shutdown

    public void shutdown()

  Specified by:
    `shutdown` in interface `ShutdownMBean`

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

### shutdownServices

    protected void shutdownServices()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.